Bug 130598 - [PATCH] mail/dovecot: rc.d errors when not enabled and
Summary: [PATCH] mail/dovecot: rc.d errors when not enabled and
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: beech
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-16 03:10 UTC by Craig Leres
Modified: 2009-01-18 03:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2009-01-16 03:10:01 UTC
	If the dovecot port is installed but not enabled in /etc/rc.conf and
there is no /usr/local/etc/dovecot.conf configuration file, the rc.d
script outputs some errors no startup.

Fix: The attached patch checks the enable variable before running the
"multiple instances" startup block.


--------------090804000004000903020405
Content-Type: text/plain;
 name="patch.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch.txt"



--------------090804000004000903020405----98tphTss8blW9hP0Jnz33pwTo6jI2LGRsP6zo1VwZr3NE2Wg
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- dovecot.sh.in.virgin	2009-01-15 18:14:05.000000000 -0800
+++ dovecot.sh.in	2009-01-15 18:30:15.000000000 -0800
@@ -47,6 +47,10 @@
 	run_rc_command start
 }
 
+if ! checkyesno ${name}_enable; then
+	exit 0
+fi
+
 # To start multiple instances of dovecot set dovecot_config to
 # a space seperated list of configuration files.
 for config in ${dovecot_config}; do
How-To-Repeat: 	# grep dovecot /etc/rc.conf
	# ls /usr/local/etc/dovecot.conf
	ls: /usr/local/etc/dovecot.conf: No such file or directory
	# pkg_info | grep dovecot
	dovecot-1.1.7_1     Secure and compact IMAP and POP3 servers
	# /usr/local/etc/rc.d/dovecot start
	Error: Can't open configuration file /usr/local/etc/dovecot.conf: No
such file or directory
	Fatal: Invalid configuration in /usr/local/etc/dovecot.conf
	Error: Can't open configuration file /usr/local/etc/dovecot.conf: No
such file or directory
	Fatal: Invalid configuration in /usr/local/etc/dovecot.conf
Comment 1 Edwin Groothuis freebsd_committer 2009-01-16 03:10:10 UTC
Maintainer of mail/dovecot,

Please note that PR ports/130598 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130598

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-01-16 03:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 beech freebsd_committer 2009-01-16 05:06:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 4 yds 2009-01-18 00:42:23 UTC
Address by the version upgrade patch in ports/130359

Technically I don't know if this is a bug since the port does install
etc/dovecot.conf and with the config file in place these errors are not
output.  Is it a bug if a user deletes files installed by the port and
then finds errors?

But it's easier to fix than to debate the issue. ;-)

-- 
Yarema <yds@CoolRat.org>
Comment 5 beech freebsd_committer 2009-01-18 03:41:46 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!
Comment 6 dfilter freebsd_committer 2009-01-18 03:42:04 UTC
beech       2009-01-18 03:41:05 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo 
    mail/dovecot/files   dovecot.sh.in 
  Log:
  - Update to 1.1.8 [1]
  - Fix rc.d [2]
  
  PR:             ports/130359 [1]
  PR:             ports/130598 [2]
  Submitted by:   Marcin Rzepecki <m.rzepecki@iem.pw.edu.pl> [1]
  Submitted by:   Craig Leres <leres@ee.lbl.gov> [2]
  Approved by:    Yarema <yds@CoolRat.org> (maintainer)
  
  Revision  Changes    Path
  1.98      +4 -5      ports/mail/dovecot/Makefile
  1.64      +6 -6      ports/mail/dovecot/distinfo
  1.12      +11 -9     ports/mail/dovecot/files/dovecot.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"